/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 执行计划表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2023-08-30 10:30:29  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "执行计划表")
public class AtuPlanInfo extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_planName = "planName";
  public static final String KEY_planDesc = "planDesc";
  public static final String KEY_enabled = "enabled";
  public static final String KEY_status = "status";
  public static final String KEY_appSet = "appSet";
  public static final String KEY_screenRecordSet = "screenRecordSet";
  public static final String KEY_screenshotSet = "screenshotSet";
  public static final String KEY_priority = "priority";
  public static final String KEY_cronExpr = "cronExpr";
  public static final String KEY_upFrontPlanId = "upFrontPlanId";
  public static final String KEY_webhookUrl = "webhookUrl";
  public static final String KEY_webhookToken = "webhookToken";
  public static final String KEY_sendMail = "sendMail";
  public static final String KEY_mailAddress = "mailAddress";
  public static final String KEY_failRetry = "failRetry";
  public static final String KEY_failRetryCount = "failRetryCount";
  public static final String KEY_failCreatePlan = "failCreatePlan";
  public static final String KEY_lastExecTime = "lastExecTime";
  public static final String KEY_nextExecTime = "nextExecTime";
  public static final String KEY_lastBatchId = "lastBatchId";
  public static final String KEY_waitingNum = "waitingNum";
  public static final String KEY_runningNum = "runningNum";
  public static final String KEY_successNum = "successNum";
  public static final String KEY_execFailNum = "execFailNum";
  public static final String KEY_assertFailNum = "assertFailNum";
  public static final String KEY_timeoutNum = "timeoutNum";
  public static final String KEY_cancelNum = "cancelNum";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_deleted = "deleted";
  public static final String KEY_hasCorn = "hasCorn";
  public static final String KEY_hasUpFront = "hasUpFront";
  public static final String KEY_hasWebhook = "hasWebhook";
  public static final String KEY_caseChangeFlag = "caseChangeFlag";
  public static final String KEY_principalId = "principalId";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 租户主键<br>
   */
  @ApiModelProperty("租户主键")
  @Size(max = 32, message="租户主键-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 系统主键<br>
   */
  @ApiModelProperty("系统主键")
  @Size(max = 32, message="系统主键-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 计划名称<br>
   */
  @ApiModelProperty("计划名称")
  @Size(max = 90, message="计划名称-planName: 数据长度不能 > 90" )
  private String planName;
  /**
   * 计划描述<br>
   */
  @ApiModelProperty("计划描述")
  @Size(max = 900, message="计划描述-planDesc: 数据长度不能 > 900" )
  private String planDesc;
  /**
   * 是否启用;0-否，1-是<br>
   */
  @ApiModelProperty("是否启用;0-否，1-是")
  private Boolean enabled;
  /**
   * 状态;0-新建，1-等待中，2-执行中，3-已完成，4-已取消<br>
   */
  @ApiModelProperty("状态;0-新建，1-等待中，2-执行中，3-已完成，4-已取消")
  @Size(max = 1, message="状态;0-新建，1-等待中，2-执行中，3-已完成，4-已取消-status: 数据长度不能 > 1" )
  private String status;
  /**
   * 应用设置;1-清除数据，2-卸载安装，3-清除并卸载<br>
   */
  @ApiModelProperty("应用设置;1-清除数据，2-卸载安装，3-清除并卸载")
  @Size(max = 1, message="应用设置;1-清除数据，2-卸载安装，3-清除并卸载-appSet: 数据长度不能 > 1" )
  private String appSet;
  /**
   * 录屏设置;0-不保存，1-全部保存，2-出错保存<br>
   */
  @ApiModelProperty("录屏设置;0-不保存，1-全部保存，2-出错保存")
  @Size(max = 1, message="录屏设置;0-不保存，1-全部保存，2-出错保存-screenRecordSet: 数据长度不能 > 1" )
  private String screenRecordSet;
  /**
   * 截图设置;0-不保存，1-全部保存，2-出错保存<br>
   */
  @ApiModelProperty("截图设置;0-不保存，1-全部保存，2-出错保存")
  @Size(max = 1, message="截图设置;0-不保存，1-全部保存，2-出错保存-screenshotSet: 数据长度不能 > 1" )
  private String screenshotSet;
  /**
   * 优先级;0-低，1-高<br>
   */
  @ApiModelProperty("优先级;0-低，1-高")
  @Size(max = 1, message="优先级;0-低，1-高-priority: 数据长度不能 > 1" )
  private String priority;
  /**
   * Cron表达式<br>
   */
  @ApiModelProperty("Cron表达式")
  @Size(max = 90, message="Cron表达式-cronExpr: 数据长度不能 > 90" )
  private String cronExpr;
  /**
   * 前置计划ID<br>
   */
  @ApiModelProperty("前置计划ID")
  @Size(max = 32, message="前置计划ID-upFrontPlanId: 数据长度不能 > 32" )
  private String upFrontPlanId;
  /**
   * 触发链接<br>
   */
  @ApiModelProperty("触发链接")
  @Size(max = 255, message="触发链接-webhookUrl: 数据长度不能 > 255" )
  private String webhookUrl;
  /**
   * 密保令牌<br>
   */
  @ApiModelProperty("密保令牌")
  @Size(max = 32, message="密保令牌-webhookToken: 数据长度不能 > 32" )
  private String webhookToken;
  /**
   * 是否发送飞狼;0-否，1-是<br>
   */
  @ApiModelProperty("是否发送飞狼;0-否，1-是")
  private Boolean sendMail;
  /**
   * 邮件地址;当需要发送邮件时不能为空<br>
   */
  @ApiModelProperty("飞狼用户;当需要发送飞狼时不能为空")
  @Size(max = 255, message="当需要发送飞狼时不能为空" )
  private String mailAddress;
  /**
   * 是否失败重试;0-否，1-是<br>
   */
  @ApiModelProperty("是否失败重试;0-否，1-是")
  private Boolean failRetry;
  /**
   * 失败重试次数<br>
   */
  @ApiModelProperty("失败重试次数")
  private Integer failRetryCount;
  /**
   * 是否失败生成计划;0-否，1-是<br>
   */
  @ApiModelProperty("是否失败生成计划;0-否，1-是")
  private Boolean failCreatePlan;
  /**
   * 最近执行时间<br>
   */
  @ApiModelProperty("最近执行时间")
  private Date lastExecTime;
  /**
   * 下次执行时间<br>
   */
  @ApiModelProperty("下次执行时间")
  private Date nextExecTime;
  /**
   * 最后批次号<br>
   */
  @ApiModelProperty("最后批次号")
  @Size(max = 32, message="最后批次号-lastBatchId: 数据长度不能 > 32" )
  private String lastBatchId;
  /**
   * 最后批次等待中任务数<br>
   */
  @ApiModelProperty("最后批次等待中任务数")
  private Integer waitingNum;
  /**
   * 最后批次执行中任务数<br>
   */
  @ApiModelProperty("最后批次执行中任务数")
  private Integer runningNum;
  /**
   * 最后批次成功任务数<br>
   */
  @ApiModelProperty("最后批次成功任务数")
  private Integer successNum;
  /**
   * 最后批次执行失败任务数<br>
   */
  @ApiModelProperty("最后批次执行失败任务数")
  private Integer execFailNum;
  /**
   * 最后批次断言失败任务数<br>
   */
  @ApiModelProperty("最后批次断言失败任务数")
  private Integer assertFailNum;
  /**
   * 最后批次超时任务数<br>
   */
  @ApiModelProperty("最后批次超时任务数")
  private Integer timeoutNum;
  /**
   * 最后批次取消任务数<br>
   */
  @ApiModelProperty("最后批次取消任务数")
  private Integer cancelNum;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;
  /**
   * 是否删除;0-否，1-是<br>
   */
  @ApiModelProperty("是否删除;0-否，1-是")
  private Boolean deleted;
  /**
   * 是否定时触发 0-否，1-是<br>
   */
  @ApiModelProperty("是否定时触发 0-否，1-是")
  private Boolean hasCorn;
  /**
   * 是否存在前置计划 0-否，1-是<br>
   */
  @ApiModelProperty("是否存在前置计划 0-否，1-是")
  private Boolean hasUpFront;
  /**
   * 是否勾选webhook触发 0-否，1-是<br>
   */
  @ApiModelProperty("是否勾选webhook触发 0-否，1-是")
  private Boolean hasWebhook;
  /**
   * 用例变更标识;0-无，1-是<br>
   */
  @ApiModelProperty("用例变更标识;0-无，1-是")
  private Boolean caseChangeFlag;

  @ApiModelProperty("计划负责人")
  private String principalId;

  private Integer isDeleted;

  public Integer getIsEnabled() {
    return isEnabled;
  }

  public void setIsEnabled(Integer isEnabled) {
    this.isEnabled = isEnabled;
  }

  private Integer isEnabled;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 租户主键<br>
   */
  @Override
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户主键<br>
   *
   * @param tenantId 租户主键
   */
  @Override
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 系统主键<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统主键<br>
   *
   * @param projectId 系统主键
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 计划名称<br>
   */
  public String getPlanName()
  {
      return planName;
    }

  /**
   * 计划名称<br>
   *
   * @param planName 计划名称
   */
  public void setPlanName(String planName)
  {
      this.planName = planName;
    }
  /**
   * 计划描述<br>
   */
  public String getPlanDesc()
  {
      return planDesc;
    }

  /**
   * 计划描述<br>
   *
   * @param planDesc 计划描述
   */
  public void setPlanDesc(String planDesc)
  {
      this.planDesc = planDesc;
    }
  /**
   * 是否启用;0-否，1-是<br>
   */
  public Boolean getEnabled()
  {
      return enabled;
    }

  /**
   * 是否启用;0-否，1-是<br>
   *
   * @param enabled 是否启用;0-否，1-是
   */
  public void setEnabled(Boolean enabled)
  {
      this.enabled = enabled;
    }
  /**
   * 状态;0-新建，1-等待中，2-执行中，3-已完成，4-已取消<br>
   */
  public String getStatus()
  {
      return status;
    }

  /**
   * 状态;0-新建，1-等待中，2-执行中，3-已完成，4-已取消<br>
   *
   * @param status 状态;0-新建，1-等待中，2-执行中，3-已完成，4-已取消
   */
  public void setStatus(String status)
  {
      this.status = status;
    }
  /**
   * 应用设置;1-清除数据，2-卸载安装，3-清除并卸载<br>
   */
  public String getAppSet()
  {
      return appSet;
    }

  /**
   * 应用设置;1-清除数据，2-卸载安装，3-清除并卸载<br>
   *
   * @param appSet 应用设置;1-清除数据，2-卸载安装，3-清除并卸载
   */
  public void setAppSet(String appSet)
  {
      this.appSet = appSet;
    }
  /**
   * 录屏设置;0-不保存，1-全部保存，2-出错保存<br>
   */
  public String getScreenRecordSet()
  {
      return screenRecordSet;
    }

  /**
   * 录屏设置;0-不保存，1-全部保存，2-出错保存<br>
   *
   * @param screenRecordSet 录屏设置;0-不保存，1-全部保存，2-出错保存
   */
  public void setScreenRecordSet(String screenRecordSet)
  {
      this.screenRecordSet = screenRecordSet;
    }
  /**
   * 截图设置;0-不保存，1-全部保存，2-出错保存<br>
   */
  public String getScreenshotSet()
  {
      return screenshotSet;
    }

  /**
   * 截图设置;0-不保存，1-全部保存，2-出错保存<br>
   *
   * @param screenshotSet 截图设置;0-不保存，1-全部保存，2-出错保存
   */
  public void setScreenshotSet(String screenshotSet)
  {
      this.screenshotSet = screenshotSet;
    }
  /**
   * 优先级;0-低，1-高<br>
   */
  public String getPriority()
  {
      return priority;
    }

  /**
   * 优先级;0-低，1-高<br>
   *
   * @param priority 优先级;0-低，1-高
   */
  public void setPriority(String priority)
  {
      this.priority = priority;
    }
  /**
   * Cron表达式<br>
   */
  public String getCronExpr()
  {
      return cronExpr;
    }

  /**
   * Cron表达式<br>
   *
   * @param cronExpr Cron表达式
   */
  public void setCronExpr(String cronExpr)
  {
      this.cronExpr = cronExpr;
    }
  /**
   * 前置计划ID<br>
   */
  public String getUpFrontPlanId()
  {
      return upFrontPlanId;
    }

  /**
   * 前置计划ID<br>
   *
   * @param upFrontPlanId 前置计划ID
   */
  public void setUpFrontPlanId(String upFrontPlanId)
  {
      this.upFrontPlanId = upFrontPlanId;
    }
  /**
   * 触发链接<br>
   */
  public String getWebhookUrl()
  {
      return webhookUrl;
    }

  /**
   * 触发链接<br>
   *
   * @param webhookUrl 触发链接
   */
  public void setWebhookUrl(String webhookUrl)
  {
      this.webhookUrl = webhookUrl;
    }
  /**
   * 密保令牌<br>
   */
  public String getWebhookToken()
  {
      return webhookToken;
    }

  /**
   * 密保令牌<br>
   *
   * @param webhookToken 密保令牌
   */
  public void setWebhookToken(String webhookToken)
  {
      this.webhookToken = webhookToken;
    }
  /**
   * 是否发送飞狼;0-否，1-是<br>
   */
  public Boolean getSendMail()
  {
      return sendMail;
    }

  /**
   * 是否发送飞狼;0-否，1-是<br>
   *
   * @param sendMail 是否发送飞狼;0-否，1-是
   */
  public void setSendMail(Boolean sendMail)
  {
      this.sendMail = sendMail;
    }
  /**
   * 飞狼用户;当需要发送飞狼时不能为空<br>
   */
  public String getMailAddress()
  {
      return mailAddress;
    }

  /**
   * 飞狼用户;当需要发送飞狼时不能为空<br>
   *
   * @param mailAddress 飞狼用户;当需要发送飞狼时不能为空
   */
  public void setMailAddress(String mailAddress)
  {
      this.mailAddress = mailAddress;
    }
  /**
   * 是否失败重试;0-否，1-是<br>
   */
  public Boolean getFailRetry()
  {
      return failRetry;
    }

  /**
   * 是否失败重试;0-否，1-是<br>
   *
   * @param failRetry 是否失败重试;0-否，1-是
   */
  public void setFailRetry(Boolean failRetry)
  {
      this.failRetry = failRetry;
    }
  /**
   * 失败重试次数<br>
   */
  public Integer getFailRetryCount()
  {
      return failRetryCount;
    }

  /**
   * 失败重试次数<br>
   *
   * @param failRetryCount 失败重试次数
   */
  public void setFailRetryCount(Integer failRetryCount)
  {
      this.failRetryCount = failRetryCount;
    }
  /**
   * 是否失败生成计划;0-否，1-是<br>
   */
  public Boolean getFailCreatePlan()
  {
      return failCreatePlan;
    }

  /**
   * 是否失败生成计划;0-否，1-是<br>
   *
   * @param failCreatePlan 是否失败生成计划;0-否，1-是
   */
  public void setFailCreatePlan(Boolean failCreatePlan)
  {
      this.failCreatePlan = failCreatePlan;
    }
  /**
   * 最近执行时间<br>
   */
  public Date getLastExecTime()
  {
      if(lastExecTime != null)
    {
      return (Date)lastExecTime.clone();
    }
    return null;
    }

  /**
   * 最近执行时间<br>
   *
   * @param lastExecTime 最近执行时间
   */
  public void setLastExecTime(Date lastExecTime)
  {
     this.lastExecTime = lastExecTime;
    }
  /**
   * 下次执行时间<br>
   */
  public Date getNextExecTime()
  {
      if(nextExecTime != null)
    {
      return (Date)nextExecTime.clone();
    }
    return null;
    }

  /**
   * 下次执行时间<br>
   *
   * @param nextExecTime 下次执行时间
   */
  public void setNextExecTime(Date nextExecTime)
  {
      this.nextExecTime = nextExecTime;
    }
  /**
   * 最后批次号<br>
   */
  public String getLastBatchId()
  {
      return lastBatchId;
    }

  /**
   * 最后批次号<br>
   *
   * @param lastBatchId 最后批次号
   */
  public void setLastBatchId(String lastBatchId)
  {
      this.lastBatchId = lastBatchId;
    }
  /**
   * 最后批次等待中任务数<br>
   */
  public Integer getWaitingNum()
  {
      return waitingNum;
    }

  /**
   * 最后批次等待中任务数<br>
   *
   * @param waitingNum 最后批次等待中任务数
   */
  public void setWaitingNum(Integer waitingNum)
  {
      this.waitingNum = waitingNum;
    }
  /**
   * 最后批次执行中任务数<br>
   */
  public Integer getRunningNum()
  {
      return runningNum;
    }

  /**
   * 最后批次执行中任务数<br>
   *
   * @param runningNum 最后批次执行中任务数
   */
  public void setRunningNum(Integer runningNum)
  {
      this.runningNum = runningNum;
    }
  /**
   * 最后批次成功任务数<br>
   */
  public Integer getSuccessNum()
  {
      return successNum;
    }

  /**
   * 最后批次成功任务数<br>
   *
   * @param successNum 最后批次成功任务数
   */
  public void setSuccessNum(Integer successNum)
  {
      this.successNum = successNum;
    }
  /**
   * 最后批次执行失败任务数<br>
   */
  public Integer getExecFailNum()
  {
      return execFailNum;
    }

  /**
   * 最后批次执行失败任务数<br>
   *
   * @param execFailNum 最后批次执行失败任务数
   */
  public void setExecFailNum(Integer execFailNum)
  {
      this.execFailNum = execFailNum;
    }
  /**
   * 最后批次断言失败任务数<br>
   */
  public Integer getAssertFailNum()
  {
      return assertFailNum;
    }

  /**
   * 最后批次断言失败任务数<br>
   *
   * @param assertFailNum 最后批次断言失败任务数
   */
  public void setAssertFailNum(Integer assertFailNum)
  {
      this.assertFailNum = assertFailNum;
    }
  /**
   * 最后批次超时任务数<br>
   */
  public Integer getTimeoutNum()
  {
      return timeoutNum;
    }

  /**
   * 最后批次超时任务数<br>
   *
   * @param timeoutNum 最后批次超时任务数
   */
  public void setTimeoutNum(Integer timeoutNum)
  {
      this.timeoutNum = timeoutNum;
    }
  /**
   * 最后批次取消任务数<br>
   */
  public Integer getCancelNum()
  {
      return cancelNum;
    }

  /**
   * 最后批次取消任务数<br>
   *
   * @param cancelNum 最后批次取消任务数
   */
  public void setCancelNum(Integer cancelNum)
  {
      this.cancelNum = cancelNum;
    }
  /**
   * 创建人<br>
   */
  @Override
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  @Override
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  @Override
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  @Override
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  @Override
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  @Override
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  @Override
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  @Override
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 是否删除;0-否，1-是<br>
   */
  public Boolean getDeleted()
  {
      return deleted;
    }

  /**
   * 是否删除;0-否，1-是<br>
   *
   * @param deleted 是否删除;0-否，1-是
   */
  public void setDeleted(Boolean deleted)
  {
      this.deleted = deleted;
    }
  /**
   * 是否定时触发 0-否，1-是<br>
   */
  public Boolean getHasCorn()
  {
      return hasCorn;
    }

  /**
   * 是否定时触发 0-否，1-是<br>
   *
   * @param hasCorn 是否定时触发 0-否，1-是
   */
  public void setHasCorn(Boolean hasCorn)
  {
      this.hasCorn = hasCorn;
    }
  /**
   * 是否存在前置计划 0-否，1-是<br>
   */
  public Boolean getHasUpFront()
  {
      return hasUpFront;
    }

  /**
   * 是否存在前置计划 0-否，1-是<br>
   *
   * @param hasUpFront 是否存在前置计划 0-否，1-是
   */
  public void setHasUpFront(Boolean hasUpFront)
  {
      this.hasUpFront = hasUpFront;
    }
  /**
   * 是否勾选webhook触发 0-否，1-是<br>
   */
  public Boolean getHasWebhook()
  {
      return hasWebhook;
    }

  /**
   * 是否勾选webhook触发 0-否，1-是<br>
   *
   * @param hasWebhook 是否勾选webhook触发 0-否，1-是
   */
  public void setHasWebhook(Boolean hasWebhook)
  {
      this.hasWebhook = hasWebhook;
    }
  /**
   * 用例变更标识;0-无，1-是<br>
   */
  public Boolean getCaseChangeFlag()
  {
      return caseChangeFlag;
    }

  /**
   * 用例变更标识;0-无，1-是<br>
   *
   * @param caseChangeFlag 用例变更标识;0-无，1-是
   */
  public void setCaseChangeFlag(Boolean caseChangeFlag)
  {
      this.caseChangeFlag = caseChangeFlag;
    }

  public String getPrincipalId() {
    return principalId;
  }

  public void setPrincipalId(String principalId) {
    this.principalId = principalId;
  }

  public Integer getIsDeleted() {
    return isDeleted;
  }

  public void setIsDeleted(Integer isDeleted) {
    this.isDeleted = isDeleted;
  }
  public AtuPlanInfo()
  {
  }

}
